## opam-file-format 2.0.0

=== Makefile ===
TARGETS = opam-file-format.cma opam-file-format.cmxa opam-file-format.cmxs

all: $(TARGETS)

byte: $(filter %.cma,$(TARGETS))
	:

native: $(filter %.cmxa,$(TARGETS))
	:

%:
	$(MAKE) -C src $@

PREFIX ?= /usr/local
LIBDIR ?= $(PREFIX)/lib

install:
	mkdir -p $(DESTDIR)$(LIBDIR)/opam-file-format
	install -m 0644 \
	  $(wildcard $(addprefix src/*.,cmi cmo cmx cmti lib a cma cmxa cmxs)) \
	    src/META \
	  $(DESTDIR)$(LIBDIR)/opam-file-format/

uninstall:
	rm -f $(DESTDIR)$(LIBDIR)/opam-file-format/*
	rmdir $(DESTDIR)$(LIBDIR)/opam-file-format

=== src/Makefile ===
all: opam-file-format.cmxa opam-file-format.cma

%.ml: %.mll
	ocamllex $<

%.ml %.mli: %.mly
	ocamlyacc $<

%.cmi: %.mli
	ocamlc -c $<

%.cmo: %.ml %.cmi
	ocamlc -c $<

%.cmx: %.ml %.cmi
	ocamlopt -c $<

MODULES = $(sort $(basename $(wildcard *.ml *.mll *.mly)))

GENERATED = $(patsubst %.mly,%.ml,$(wildcard *.mly)) \
            $(patsubst %.mly,%.mli,$(wildcard *.mly)) \
            $(patsubst %.mll,%.ml,$(wildcard *.mll))

opam-file-format.cma: $(MODULES:%=%.cmo)
	ocamlc -a $^ -o $@

opam-file-format.cmxa: $(MODULES:%=%.cmx)
	ocamlopt -a $^ -o $@

opam-file-format.cmxs: $(MODULES:%=%.cmx)
	ocamlopt -shared $^ -o $@

.PHONY: clean
clean:
	rm -f *.cm* *.o *.a $(GENERATED) .depend

.depend: *.ml *.mli $(GENERATED)
	ocamldep *.mli *.ml > .depend

-include .depend

=== debian/changelog ===
opam-file-format (2.0.0-2) unstable; urgency=medium

  * Team upload
  * Fix generation of ABIzed dependencies (Closes: #952373)
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Feb 2020 07:23:18 +0100

opam-file-format (2.0.0-1) unstable; urgency=medium

  [Nicolas Braud-Santoni]
  * New upstream release (2018-08-01)
  * debian/watch: Fix filename mangle
  * debian/control: Comply with policy 4.1.5, set Rules-Requires-Root to no

  [Meddhi Dogguy]
  * Move the packaging repository to salsa.d.o
  * Use a secure Format URL in debian/copyright

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Thu, 02 Aug 2018 22:24:18 +0800

opam-file-format (2.0.0~rc2-1) unstable; urgency=medium

  * Initial packaging (Closes: #892416)

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sun, 15 Apr 2018 12:39:47 +0200

=== debian/control ===
Source: opam-file-format
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
Section: ocaml
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-ocaml,
               ocaml-findlib,
               ocaml-nox
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/ocaml/opam-file-format/
Vcs-Git: https://salsa.debian.org/ocaml-team/opam-file-format.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/opam-file-format

Package: libopam-file-format-ocaml-dev
Architecture: any
Depends: ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: opam
Description: Parser and printer for the opam file syntax
 opam-file-format is a library for printing and parsing opam files.
 It is the one used by the OPAM package manager, making it authoritative
 in that it accepts exactly the syntax that OPAM itself uses.
 .
 This binary package provides the development files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/libopam-file-format-ocaml-dev
export LIBDIR=/usr/lib/ocaml
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_build:
	$(MAKE) byte
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) native
endif

override_dh_auto_install:
	mkdir -p "${OCAMLFIND_DESTDIR}"
	ocamlfind install opam-file-format src/META
	dh_auto_install

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc|beta|alpha)[\d.]*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/opam-file-format-$1\.tar\.gz/ \
  https://github.com/ocaml/opam-file-format/releases .*/archive/v?(\d\S+)\.tar\.gz

## opam-file-format 2.1.2

=== Makefile ===
TARGETS = opam-file-format.cma opam-file-format.cmxa opam-file-format.cmxs

all: $(TARGETS)
	$(MAKE) -C src META

byte: $(filter %.cma,$(TARGETS))
	$(MAKE) -C src META

native: $(filter %.cmxa,$(TARGETS))
	$(MAKE) -C src META

.PHONY: dune clean
dune:
	dune build --profile=dev @all

%:
	$(MAKE) -C src $@

tests: opam-file-format.cmxa
	$(MAKE) -C tests run

PREFIX ?= /usr/local
LIBDIR ?= $(PREFIX)/lib

install:
	mkdir -p $(DESTDIR)$(LIBDIR)/opam-file-format
	install -m 0644 \
	  $(wildcard $(addprefix src/*.,cmi cmo cmx cmt cmti lib a cma cmxa cmxs)) \
	    src/META \
	  $(DESTDIR)$(LIBDIR)/opam-file-format/

uninstall:
	rm -f $(DESTDIR)$(LIBDIR)/opam-file-format/*
	rmdir $(DESTDIR)$(LIBDIR)/opam-file-format

clean::
	rm -rf _build
	$(MAKE) -C src $@
	$(MAKE) -C tests $@

=== src/Makefile ===
all: opam-file-format.cmxa opam-file-format.cma

%.ml: %.mll
	ocamllex $<

OCAML_VERSION:=$(shell ocamlc -vnum | tr -d '\r' | sed -e 's/+.*//' -e 's/\.//g')
ifeq ($(OCAML_VERSION),)
OCAML_VERSION:=0
endif

ifeq ($(shell test $(OCAML_VERSION) -ge 4022 || echo no-attributes),)
PP=
else
PP=-pp 'sed -e s/\\[@@\\?ocaml[^]]*\\]//'
endif

show:
	echo $(OCAML_VERSION)

opamParserTypes.cmi: opamParserTypes.cmo

%.ml %.mli: %.mly
	ocamlyacc $<

%.cmi: %.mli
	ocamlc -c $(PP) $<

%.cmo: %.ml
	ocamlc -c $(PP) $<

%.cmx: %.ml
	ocamlopt -c $(PP) $<

MODULES = $(sort $(basename $(wildcard *.ml *.mll *.mly)))

GENERATED = $(patsubst %.mly,%.ml,$(wildcard *.mly)) \
            $(patsubst %.mly,%.mli,$(wildcard *.mly)) \
            $(patsubst %.mll,%.ml,$(wildcard *.mll)) \
	    META

opam-file-format.cma: $(MODULES:%=%.cmo)
	ocamlc -a $^ -o $@

opam-file-format.cmxa: $(MODULES:%=%.cmx)
	ocamlopt -a $^ -o $@

opam-file-format.cmxs: $(MODULES:%=%.cmx)
	ocamlopt -shared $^ -o $@

META: META.in ../opam-file-format.opam $(wildcard *.cm*)
	sed -e 's/VERSION/$(shell sed -ne "s/^version: //p" ../opam-file-format.opam)/' \
	    $(if $(wildcard *.cmx*),,-e '/archive(native)/d') \
	    $(if $(wildcard *.cma),,-e '/archive(byte)/d') $< > $@

.PHONY: clean
clean:
	rm -f *.cm* *.o *.a $(GENERATED) .depend .merlin

.depend: *.ml *.mli $(GENERATED)
	ocamldep $(PP) *.mli *.ml > .depend

-include .depend

=== debian/changelog ===
opam-file-format (2.1.2-2) unstable; urgency=medium

  * Team upload
  * Add two patches from upstream to fix build system and link libraries
    in the correct order

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2021 11:09:39 +0100

opam-file-format (2.1.2-1) unstable; urgency=medium

  * Team upload
  * New minor upstream release

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 16 Jan 2021 18:45:38 +0100

opam-file-format (2.1.1-1) unstable; urgency=medium

  * New upstream release (2020-11-17)
    + Add new types with more-complete positions
    + Deprecate all old functions
	  + Add a testsuite

  * d/rules: Install upstream changelog
  * d/patches: Backport missing change notes for v2.1.1

  * Update maintainer's name and email address.
  * d/copyright: Update authorship years
  * d/changelog: Amend typo in v2.1.0-1 (dh compat 13, not 12)
  * d/control: Declare compliance with policy v4.5.1.
    No change required
  * d/source: Ignore dotfiles from upstream

 -- nicoo <nicoo@debian.org>  Mon, 30 Nov 2020 17:21:09 +0100

opam-file-format (2.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Sep 2020 10:55:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: opam-file-format
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
+Uploaders: nicoo <nicoo@debian.org>
 Section: ocaml
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-ocaml,
                ocaml-findlib,
                ocaml-nox
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/ocaml/opam-file-format/
 Vcs-Git: https://salsa.debian.org/ocaml-team/opam-file-format.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/opam-file-format

=== debian/rules ===
--- 
+++ 
@@ -21,5 +21,5 @@
 	ocamlfind install opam-file-format src/META
 	dh_auto_install
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGES

## opam-file-format 2.1.3

=== src/Makefile ===
--- 
+++ 
@@ -31,20 +31,20 @@
 %.cmx: %.ml
 	ocamlopt -c $(PP) $<
 
-MODULES = $(sort $(basename $(wildcard *.ml *.mll *.mly)))
+MODULES = opamParserTypes opamBaseParser opamLexer opamParser opamPrinter
 
 GENERATED = $(patsubst %.mly,%.ml,$(wildcard *.mly)) \
             $(patsubst %.mly,%.mli,$(wildcard *.mly)) \
             $(patsubst %.mll,%.ml,$(wildcard *.mll)) \
 	    META
 
-opam-file-format.cma: $(MODULES:%=%.cmo)
+opam-file-format.cma: $(addsuffix .cmo,$(MODULES))
 	ocamlc -a $^ -o $@
 
-opam-file-format.cmxa: $(MODULES:%=%.cmx)
+opam-file-format.cmxa: $(addsuffix .cmx,$(MODULES))
 	ocamlopt -a $^ -o $@
 
-opam-file-format.cmxs: $(MODULES:%=%.cmx)
+opam-file-format.cmxs: $(addsuffix .cmx,$(MODULES))
 	ocamlopt -shared $^ -o $@
 
 META: META.in ../opam-file-format.opam $(wildcard *.cm*)

=== debian/changelog ===
opam-file-format (2.1.3-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:21:37 +0100

opam-file-format (2.1.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 29 Nov 2021 14:59:39 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                ocaml-findlib,
                ocaml-nox
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/ocaml/opam-file-format/
 Vcs-Git: https://salsa.debian.org/ocaml-team/opam-file-format.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/opam-file-format
@@ -19,7 +19,7 @@
          ${ocaml:Depends},
          ${shlibs:Depends}
 Provides: ${ocaml:Provides}
-Recommends: opam
+Recommends: opam, ocaml-findlib
 Description: Parser and printer for the opam file syntax
  opam-file-format is a library for printing and parsing opam files.
  It is the one used by the OPAM package manager, making it authoritative

## opam-file-format 2.1.5

=== tests/legacy/Makefile ===
.PHONY: test
test: legacy.byte legacy.native

src/%:
	$(MAKE) -C src $*

legacy.byte: src/opam-file-format.cma legacy.ml
	ocamlc -o $@ -I src $^

legacy.native: src/opam-file-format.cmxa legacy.ml
	ocamlopt -o $@ -I src $^

=== debian/changelog ===
opam-file-format (2.1.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 22 Jan 2023 10:56:06 +0100

## opam-file-format 2.1.6

=== src/Makefile ===
--- 
+++ 
@@ -3,12 +3,17 @@
 %.ml: %.mll
 	ocamllex $<
 
-OCAML_VERSION:=$(shell ocamlc -vnum | tr -d '\r' | sed -e 's/+.*//' -e 's/\.//g')
+EMPTY=
+SPACE=$(EMPTY) $(EMPTY)
+OCAML_VERSION:=$(firstword $(subst ~, ,$(subst +, ,$(shell ocamlc -version))))
 ifeq ($(OCAML_VERSION),)
 OCAML_VERSION:=0
+else
+OCAML_VERSION:=$(subst ., ,$(OCAML_VERSION))
+OCAML_VERSION:=$(subst $(SPACE),,$(firstword $(OCAML_VERSION))$(foreach i,$(wordlist 2,$(words $(OCAML_VERSION)),$(OCAML_VERSION)),$(if $(filter 0 1 2 3 4 5 6 7 8 9,$(i)),0,)$(i)))
 endif
 
-ifeq ($(shell test $(OCAML_VERSION) -ge 4022 || echo no-attributes),)
+ifeq ($(shell test $(OCAML_VERSION) -ge 40202 || echo no-attributes),)
 PP=
 else
 PP=-pp 'sed -e s/\\[@@\\?ocaml[^]]*\\]//'

=== tests/Makefile ===
all: tests

tests:
	ocamlfind ocamlc tests.ml -o tests -linkpkg -package alcotest -package opam-file-format

run: tests
	./tests

.PHONY: clean
clean:
	rm -f tests
	rm -f *.cmi *.cmo
	rm -rf _build

=== tests/legacy/Makefile ===
--- 
+++ 
@@ -1,5 +1,9 @@
 .PHONY: test
-test: legacy.byte legacy.native
+test:: legacy.byte
+
+ifneq "$(shell ocamlopt -vnum 2>/dev/null)" ""
+test:: legacy.native
+endif
 
 src/%:
 	$(MAKE) -C src $*

=== debian/changelog ===
opam-file-format (2.1.6-2build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 15:05:39 +0200

opam-file-format (2.1.6-2build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 10:05:10 +0100

opam-file-format (2.1.6-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:19:05 +0200

opam-file-format (2.1.6-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 09:44:34 +0200

opam-file-format (2.1.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2023 06:38:12 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/ocaml/ocamlvars.mk
 
 DESTDIR=$(CURDIR)/debian/libopam-file-format-ocaml-dev
-export LIBDIR=/usr/lib/ocaml
+export LIBDIR=$(OCAML_STDLIB_DIR)
 export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
 
 %:

## opam-file-format 2.2.0

=== debian/changelog ===
opam-file-format (2.2.0-2) unstable; urgency=medium

  * Team upload
  * Disable tests to cut build-dependency cycle

 -- Stéphane Glondu <glondu@debian.org>  Sat, 27 Dec 2025 11:18:03 +0100

opam-file-format (2.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Use ocaml_dune dh buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 14 Aug 2025 11:45:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,14 @@
 Section: ocaml
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-ocaml,
-               ocaml-findlib,
-               ocaml-nox
+               dh-ocaml (>= 2),
+#               libalcotest-ocaml-dev <!nocheck>,
+#               libfmt-ocaml-dev <!nocheck>,
+               menhir,
+               ocaml-dune,
+               ocaml
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/ocaml/opam-file-format/
 Vcs-Git: https://salsa.debian.org/ocaml-team/opam-file-format.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/opam-file-format

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
